package edu.sdsc.sirius.dialogs;

import edu.sdsc.mbt.*;

public class RenderingEvent implements DisplayDialogEvent {

	//this is a wrapper class for the information gathered by RenderingDialog
	//to be passed to the StructureViewer and do the rendering
	private DisplayDialog parent = null;
	
	public int setFlag;
	
	public short styleFlag;
	
	public short qualityFlag;
	
	public String componentId;
	
	public StructureComponent structureComponent;
	

	public RenderingEvent(DisplayDialog d){
	
		parent = d;
	}

	public DisplayDialog getSource(){
		return parent;
	}
	
	public int getSetFlag(){
		return setFlag;
	}
	
}
